curl --request POST \
--url https://thirdparty.qonto.com/v2/international/beneficiaries/requirements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_id": "0196edb0-9b6e-7554-9864-d111285a0a44",
"payload": {
"currency": "EUR",
"details": {
"address": {
"city": "Paris",
"country": "FR",
"postCode": 75010,
"firstLine": "6 impasse Bonne Nouvelle"
},
"swiftCode": "AAABBB00",
"accountNumber": 123456789,
"accountHolderName": "John Doe"
},
"legal_type": "LEGAL_TYPE_COMPANY",
"type": "swift"
},
"beneficiary_id": "0d6273cf-e4d0-469a-a3c8-d2196143470c"
}
'import requests
url = "https://thirdparty.qonto.com/v2/international/beneficiaries/requirements"
payload = {
"quote_id": "0196edb0-9b6e-7554-9864-d111285a0a44",
"payload": {
"currency": "EUR",
"details": {
"address": {
"city": "Paris",
"country": "FR",
"postCode": 75010,
"firstLine": "6 impasse Bonne Nouvelle"
},
"swiftCode": "AAABBB00",
"accountNumber": 123456789,
"accountHolderName": "John Doe"
},
"legal_type": "LEGAL_TYPE_COMPANY",
"type": "swift"
},
"beneficiary_id": "0d6273cf-e4d0-469a-a3c8-d2196143470c"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_id: '0196edb0-9b6e-7554-9864-d111285a0a44',
payload: {
currency: 'EUR',
details: {
address: {
city: 'Paris',
country: 'FR',
postCode: 75010,
firstLine: '6 impasse Bonne Nouvelle'
},
swiftCode: 'AAABBB00',
accountNumber: 123456789,
accountHolderName: 'John Doe'
},
legal_type: 'LEGAL_TYPE_COMPANY',
type: 'swift'
},
beneficiary_id: '0d6273cf-e4d0-469a-a3c8-d2196143470c'
})
};
fetch('https://thirdparty.qonto.com/v2/international/beneficiaries/requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/international/beneficiaries/requirements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'quote_id' => '0196edb0-9b6e-7554-9864-d111285a0a44',
'payload' => [
'currency' => 'EUR',
'details' => [
'address' => [
'city' => 'Paris',
'country' => 'FR',
'postCode' => 75010,
'firstLine' => '6 impasse Bonne Nouvelle'
],
'swiftCode' => 'AAABBB00',
'accountNumber' => 123456789,
'accountHolderName' => 'John Doe'
],
'legal_type' => 'LEGAL_TYPE_COMPANY',
'type' => 'swift'
],
'beneficiary_id' => '0d6273cf-e4d0-469a-a3c8-d2196143470c'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/international/beneficiaries/requirements"
payload := strings.NewReader("{\n \"quote_id\": \"0196edb0-9b6e-7554-9864-d111285a0a44\",\n \"payload\": {\n \"currency\": \"EUR\",\n \"details\": {\n \"address\": {\n \"city\": \"Paris\",\n \"country\": \"FR\",\n \"postCode\": 75010,\n \"firstLine\": \"6 impasse Bonne Nouvelle\"\n },\n \"swiftCode\": \"AAABBB00\",\n \"accountNumber\": 123456789,\n \"accountHolderName\": \"John Doe\"\n },\n \"legal_type\": \"LEGAL_TYPE_COMPANY\",\n \"type\": \"swift\"\n },\n \"beneficiary_id\": \"0d6273cf-e4d0-469a-a3c8-d2196143470c\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://thirdparty.qonto.com/v2/international/beneficiaries/requirements")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"quote_id\": \"0196edb0-9b6e-7554-9864-d111285a0a44\",\n \"payload\": {\n \"currency\": \"EUR\",\n \"details\": {\n \"address\": {\n \"city\": \"Paris\",\n \"country\": \"FR\",\n \"postCode\": 75010,\n \"firstLine\": \"6 impasse Bonne Nouvelle\"\n },\n \"swiftCode\": \"AAABBB00\",\n \"accountNumber\": 123456789,\n \"accountHolderName\": \"John Doe\"\n },\n \"legal_type\": \"LEGAL_TYPE_COMPANY\",\n \"type\": \"swift\"\n },\n \"beneficiary_id\": \"0d6273cf-e4d0-469a-a3c8-d2196143470c\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/international/beneficiaries/requirements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"quote_id\": \"0196edb0-9b6e-7554-9864-d111285a0a44\",\n \"payload\": {\n \"currency\": \"EUR\",\n \"details\": {\n \"address\": {\n \"city\": \"Paris\",\n \"country\": \"FR\",\n \"postCode\": 75010,\n \"firstLine\": \"6 impasse Bonne Nouvelle\"\n },\n \"swiftCode\": \"AAABBB00\",\n \"accountNumber\": 123456789,\n \"accountHolderName\": \"John Doe\"\n },\n \"legal_type\": \"LEGAL_TYPE_COMPANY\",\n \"type\": \"swift\"\n },\n \"beneficiary_id\": \"0d6273cf-e4d0-469a-a3c8-d2196143470c\"\n}"
response = http.request(request)
puts response.read_body{
"requirements": [
{
"type": "swift",
"fields": [
{
"name": "Transfer purpose",
"group": [
{
"key": "transferPurpose",
"name": "Transfer purpose",
"type": "text",
"refresh_requirements_on_change": false,
"required": true,
"display_format": "<string>",
"example": "123456789",
"min_length": 8,
"max_length": 20,
"validation_regexp": "^[0-9]{8,20}$",
"values_allowed": [
{
"key": "USD",
"value": "US Dollar"
}
]
}
]
}
]
}
]
}List requirements for an international beneficiary
Get the list of requirements needed to create or use an existing beneficiary for the given quote.
curl --request POST \
--url https://thirdparty.qonto.com/v2/international/beneficiaries/requirements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_id": "0196edb0-9b6e-7554-9864-d111285a0a44",
"payload": {
"currency": "EUR",
"details": {
"address": {
"city": "Paris",
"country": "FR",
"postCode": 75010,
"firstLine": "6 impasse Bonne Nouvelle"
},
"swiftCode": "AAABBB00",
"accountNumber": 123456789,
"accountHolderName": "John Doe"
},
"legal_type": "LEGAL_TYPE_COMPANY",
"type": "swift"
},
"beneficiary_id": "0d6273cf-e4d0-469a-a3c8-d2196143470c"
}
'import requests
url = "https://thirdparty.qonto.com/v2/international/beneficiaries/requirements"
payload = {
"quote_id": "0196edb0-9b6e-7554-9864-d111285a0a44",
"payload": {
"currency": "EUR",
"details": {
"address": {
"city": "Paris",
"country": "FR",
"postCode": 75010,
"firstLine": "6 impasse Bonne Nouvelle"
},
"swiftCode": "AAABBB00",
"accountNumber": 123456789,
"accountHolderName": "John Doe"
},
"legal_type": "LEGAL_TYPE_COMPANY",
"type": "swift"
},
"beneficiary_id": "0d6273cf-e4d0-469a-a3c8-d2196143470c"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_id: '0196edb0-9b6e-7554-9864-d111285a0a44',
payload: {
currency: 'EUR',
details: {
address: {
city: 'Paris',
country: 'FR',
postCode: 75010,
firstLine: '6 impasse Bonne Nouvelle'
},
swiftCode: 'AAABBB00',
accountNumber: 123456789,
accountHolderName: 'John Doe'
},
legal_type: 'LEGAL_TYPE_COMPANY',
type: 'swift'
},
beneficiary_id: '0d6273cf-e4d0-469a-a3c8-d2196143470c'
})
};
fetch('https://thirdparty.qonto.com/v2/international/beneficiaries/requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/international/beneficiaries/requirements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'quote_id' => '0196edb0-9b6e-7554-9864-d111285a0a44',
'payload' => [
'currency' => 'EUR',
'details' => [
'address' => [
'city' => 'Paris',
'country' => 'FR',
'postCode' => 75010,
'firstLine' => '6 impasse Bonne Nouvelle'
],
'swiftCode' => 'AAABBB00',
'accountNumber' => 123456789,
'accountHolderName' => 'John Doe'
],
'legal_type' => 'LEGAL_TYPE_COMPANY',
'type' => 'swift'
],
'beneficiary_id' => '0d6273cf-e4d0-469a-a3c8-d2196143470c'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/international/beneficiaries/requirements"
payload := strings.NewReader("{\n \"quote_id\": \"0196edb0-9b6e-7554-9864-d111285a0a44\",\n \"payload\": {\n \"currency\": \"EUR\",\n \"details\": {\n \"address\": {\n \"city\": \"Paris\",\n \"country\": \"FR\",\n \"postCode\": 75010,\n \"firstLine\": \"6 impasse Bonne Nouvelle\"\n },\n \"swiftCode\": \"AAABBB00\",\n \"accountNumber\": 123456789,\n \"accountHolderName\": \"John Doe\"\n },\n \"legal_type\": \"LEGAL_TYPE_COMPANY\",\n \"type\": \"swift\"\n },\n \"beneficiary_id\": \"0d6273cf-e4d0-469a-a3c8-d2196143470c\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://thirdparty.qonto.com/v2/international/beneficiaries/requirements")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"quote_id\": \"0196edb0-9b6e-7554-9864-d111285a0a44\",\n \"payload\": {\n \"currency\": \"EUR\",\n \"details\": {\n \"address\": {\n \"city\": \"Paris\",\n \"country\": \"FR\",\n \"postCode\": 75010,\n \"firstLine\": \"6 impasse Bonne Nouvelle\"\n },\n \"swiftCode\": \"AAABBB00\",\n \"accountNumber\": 123456789,\n \"accountHolderName\": \"John Doe\"\n },\n \"legal_type\": \"LEGAL_TYPE_COMPANY\",\n \"type\": \"swift\"\n },\n \"beneficiary_id\": \"0d6273cf-e4d0-469a-a3c8-d2196143470c\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/international/beneficiaries/requirements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"quote_id\": \"0196edb0-9b6e-7554-9864-d111285a0a44\",\n \"payload\": {\n \"currency\": \"EUR\",\n \"details\": {\n \"address\": {\n \"city\": \"Paris\",\n \"country\": \"FR\",\n \"postCode\": 75010,\n \"firstLine\": \"6 impasse Bonne Nouvelle\"\n },\n \"swiftCode\": \"AAABBB00\",\n \"accountNumber\": 123456789,\n \"accountHolderName\": \"John Doe\"\n },\n \"legal_type\": \"LEGAL_TYPE_COMPANY\",\n \"type\": \"swift\"\n },\n \"beneficiary_id\": \"0d6273cf-e4d0-469a-a3c8-d2196143470c\"\n}"
response = http.request(request)
puts response.read_body{
"requirements": [
{
"type": "swift",
"fields": [
{
"name": "Transfer purpose",
"group": [
{
"key": "transferPurpose",
"name": "Transfer purpose",
"type": "text",
"refresh_requirements_on_change": false,
"required": true,
"display_format": "<string>",
"example": "123456789",
"min_length": 8,
"max_length": 20,
"validation_regexp": "^[0-9]{8,20}$",
"values_allowed": [
{
"key": "USD",
"value": "US Dollar"
}
]
}
]
}
]
}
]
}Scope:
international_transfer.write Sensitive
quote_id, beneficiary_id (or null) and payload.currency, then again with the collected payload.type and payload.details when the response asks you to (refresh_requirements_on_change), until all the required information is collected. The International transfers guide explains the requirements step by step, with request and response examples.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Language to be used to display the requirements. Languages supported: en, it, es, de, fr, pt
"en"
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
Unique identifier for the quote.
"0196edb0-9b6e-7554-9864-d111285a0a44"
Data collected from the user to create the beneficiary.
Show child attributes
Show child attributes
Unique identifier for the beneficiary (null if creating a new beneficiary).
"0d6273cf-e4d0-469a-a3c8-d2196143470c"
Response
Returns the list of requirements for the given beneficiary and quote.
Show child attributes
Show child attributes
Was this page helpful?